package com.abi.qms.platform.dao.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * 码的内部数据：即每列的数据
 *
 * @author WeiganCai
 * @date: 2021-05-07
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QrInnerData implements Serializable {

	/** 码 */
	private String code;

	/** url */
	private String url;

	/** 码库的列id */
	private Long qrRepertoryColumnId;

	/** 排序号 */
	private Integer sortNumber;

	/** 已生成码包位置 */
	private Long codeIndex;

}
