package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 *码包新增选择物料后下拉展示 出参
 * @author liguosong
 */
@Data
@ApiModel
public class BaseSapMateriVO {
    @Schema(name = "id")
    private Long id;

    @Schema(name = "物料名称")
    private String materialName;

    @Schema(name = "物料类型: 1-瓶子 2-PET 3-罐子 4-瓶盖 5-纸板箱 6-塑箱 7-小桶&叉子 8-托盘")
    private Integer materialType;

    @Schema(name = "采购数量")
    private Long  purchaseCount;

    @Schema(name = "啤酒厂名称")
    private String sapBeerFactoryName;

    @Schema(name = "包材厂名称")
    private String sapCoverFactoryName;

}
