package com.abi.qms.platform.dao.vo.result;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author: fangxinjian
 * @date: 2021/05/28 12:00
 * @description:
 */
@Data
@ApiModel
public class PrintingDetailVO {

    @ApiModelProperty(value = "条码序号")
    private String boxCode;

    @ApiModelProperty(value = "起始二维码")
    private String beginQrCode;

    @ApiModelProperty(value = "结束二维码")
    private String endQrCode;

    @ApiModelProperty(value = "条数")
    private Long qrCodeCount;

    @ApiModelProperty(value = "生成日期")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "二级包材厂id")
    private Long factoryCoverLevelTwoId;

    @ApiModelProperty(value = "啤酒厂id")
    private Long factoryBeerId;

    //603版 已作废
    /*@ApiModelProperty(value = "sku名称")
    private String skuName;*/

}
