package com.abi.qms.platform.dao.vo.result;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @author ludashi
 * @date 2021年06月04日 17:55
 */
@Data
@ApiModel
public class QueryOrderFormDetailVO implements Serializable {

    @ApiModelProperty("码包ID")
    private Long packageId;

    @ApiModelProperty("包包含数量")
    private Long batchQrNumber;

    @ApiModelProperty("申请人")
    private Long applicationName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty("申请时间")
    private LocalDateTime applicationTime;
}
