package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/02 10:31
 * @description:
 */
@Data
@ApiModel
public class BatchImportBrandReq implements Serializable {

    @ApiModelProperty("品牌List")
    private List<SapBrandBean> sapBrandBeanList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "BatchImportBrandReq_SapBrandBean")
    public static class SapBrandBean implements Serializable {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "品牌code")
        private String brandCode;

        @ApiModelProperty(value = "品牌名称")
        private String brandName;

        @ApiModelProperty(value = "品牌层级")
        private Integer brandLevel;

        @ApiModelProperty(value = "上级品牌code")
        private String parentBrandCode;

        @ApiModelProperty(value = "上级品牌名称")
        private String parentBrandName;

    }
}
