package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author: fangxinjian
 * @date: 2021/05/28 11:13
 * @description: 箱码合一打印入参
 */
@Data
@ApiModel
public class PrintingDetailReq implements Serializable {

    @ApiModelProperty(value = "码包id")
    @NotNull(message = "码包ID不能为空")
    private Long packageId;


}
