package com.abi.qms.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author:Andy.Tan
 * @Description: 供应商新增修改入参
 */
@Data
@ApiModel
public class SaveFactoryReq implements Serializable {

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "供应商id")
    private String factoryCode;

    @ApiModelProperty(value = "供应商名称")
    private String factoryName;

    @ApiModelProperty(value = "供应商类型 1-包材厂 2-啤酒厂 3-二级包材厂")
    private Integer factoryType;

    @ApiModelProperty(value = "是否一级包材厂")
    private Integer isFirstFactory;

    @ApiModelProperty(value = "省")
    private String province;

    @ApiModelProperty(value = "市")
    private String city;

    @ApiModelProperty(value = "区")
    private String district;

    @ApiModelProperty(value = "详细地址")
    private String address;

    @ApiModelProperty(value = "联系人姓名")
    private String keymanName;

    @ApiModelProperty(value = "联系人手机号")
    private String keymanMobile;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "文件最大数")
    private Long maxFileCount;

    @ApiModelProperty(value = "描述")
    private String description;


}
