package com.abi.platform.dto.req;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/06/02 09:42
 * @description:
 */
@Data
@ApiModel
public class BatchImportSkuReq implements Serializable {

    @ApiModelProperty("sku List")
    private List<SapSkuBean> sapSkuBeanList;


    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "BatchImportSkuReq_SapSkuBean")
    public static class SapSkuBean implements Serializable {

        @ApiModelProperty(value = "id")
        private Long id;

        @ApiModelProperty(value = "商品编号（即页面上手输的skuid）")
        private String skuCode;

        @ApiModelProperty(value = "sku名称")
        private String skuName;

        @ApiModelProperty(value = "品牌code")
        private String brandCode;

        @ApiModelProperty(value = "子品牌code")
        private String subBrandCode;


    }


}
