package com.abi.qms.platform.dao.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;


/**
 *  码包下载记录 对象 qr_package_download_record
 *
 * @author WeiganCai
 * @date 2021-05-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QrPackageDownloadRecord {

	@ApiModelProperty("码包下载记录id")
	private Long id;

	@ApiModelProperty("码包id")
	private Long qrPackageId;

	@ApiModelProperty(value = "创建时间")
	@TableField(fill = FieldFill.INSERT)
	private LocalDateTime createTime;

	@ApiModelProperty(value = "创建人id")
	private Long createBy;

}
