package com.abi.qms.platform.dto.req;

import com.abi.task.common.api.base.PageReq;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ludashi
 * @date 2021年06月07日 9:36
 */
@Data
@ApiModel
public class QueryOrderFormLimitReq extends PageReq implements Serializable {
    @ApiModelProperty(value = "预订单号")
    private String bookingOrder;

    @ApiModelProperty(value = "SAP单号")
    private String sapOrder;

    @ApiModelProperty(value = "物料名称")
    private String materialName;

    @ApiModelProperty(value = "包材厂")
    private String factoryCoverName;

    @ApiModelProperty(value = "是否关联SAP单号 1是  2否")
    private String associateSapOrder;

    @ApiModelProperty(value = "状态 1已绑定 2已创建 ")
    private String status;
}
