package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author guokaixiang
 * @date 2021年06月03日 11:50
 */
@Data
@ApiModel
public class ListFactoryCodeReportRes implements Serializable {

    @ApiModelProperty("包材厂使用码占比列表")
    private List<FactoryCodeReportResBean> factoryCodeResReportList;

    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "ListFactoryCodeReportRes_FactoryCodeReportResBean")
    public static class FactoryCodeReportResBean implements Serializable {

        @ApiModelProperty("包材厂名称")
        private String factoryName;

        @ApiModelProperty("码数量")
        private Long qrNumber;

        @ApiModelProperty("下载率")
        private Long downloadNumber;
    }
}
