package com.abi.qms.platform.dto.res;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author: fangxinjian
 * @date: 2021/05/25 14:04
 * @description: 码库下拉列表详情信息
 */
@Data
@ApiModel
public class ListQrRepertorySelectDetailRes implements Serializable {

    @ApiModelProperty("码库下拉列表详情")
    private List<QrRepertorySelectDetailBean> qrRepertorySelectDetailBeanList;

    /**
     * 码库下拉详情bean
     */
    @Data
    @NoArgsConstructor
    @AllArgsConstructor
    @ToString
    @ApiModel(value = "listQrRepertorySelectDetailRes_QrRepertorySelectDetailBean")
    public static class QrRepertorySelectDetailBean implements Serializable {

        @ApiModelProperty("码库id")
        private Long repertoryId;

        @ApiModelProperty("码库列ID")
        private Long repertoryColumnId;

        @ApiModelProperty("列数")
        private Integer sortNumber;

        @ApiModelProperty("别名")
        private String alias;

        @ApiModelProperty("拆分数量")
        private Integer splitNum;

        @ApiModelProperty("拆分数量id")
        private Long splitId;


    }
}
