package com.abi.qms.platform.infrastructure.util;

import java.util.Random;

/**
 * 随机码工具类
 * @author AndyTan
 */
public class RandomCodeUtils {

    /**
     * 返回长度为n的随机字符串（随机包含数字or小写字母）
     * @param n
     * @return
     */
    public static String getStr(int n) {
        String string = "0123456789abcdefghijklmnopqrstuvwxyz";//保存数字0-9 和 大小写字母
        char[] ch = new char[n]; //声明一个字符数组对象ch 保存 验证码
        for (int i = 0; i < n; i++) {
            Random random = new Random();//创建一个新的随机数生成器
            int index = random.nextInt(string.length());//返回[0,string.length)范围的int值    作用：保存下标
            ch[i] = string.charAt(index);//charAt() : 返回指定索引处的 char 值   ==》保存到字符数组对象ch里面
        }
        //将char数组类型转换为String类型保存到result
        String result = String.valueOf(ch);
        return result;
    }

    /**
     * 返回长度为n的验证码 内容纯数字
     * @return
     */
    public static String getCaptcha(int n) {
        StringBuilder result = new StringBuilder();
        char[] ch = new char[n];
        for (int i = 0; i < n; i++) {
            Integer e = new Random().nextInt(10);
            result.append(e.toString());
        }

        return result.toString();
    }

}
